Building QT5 Stable Branch from Git Repo on OSX 10.8.3

  • I haven't been able to successfully build either the stable or dev branch from source on OSX. I was able to build the 5.1 alpha release successfully but I'd really like to learn how build from source preferably using qt5_tool.

    Error Message:
    @1 warning generated.
    tst_qquicktextedit.cpp:2311:10: warning: variable 'xoff' is used uninitialized whenever switch case is taken [-Wsometimes-uninitialized]
    case QQuickTextEdit::AlignJustify:
    tst_qquicktextedit.cpp:2316:28: note: uninitialized use occurs here
    int widthBegin = floor(xoff + line.cursorToX(pos - 1));
    tst_qquicktextedit.cpp:2300:15: note: initialize the variable 'xoff' to silence this warning
    qreal xoff;
    = 0.0
    1 warning generated.
    make[2]: *** [sub-auto-make_first] Error 2
    make[1]: *** [sub-tests-make_first] Error 2
    make: *** [module-qtdeclarative-make_first] Error 2
    make failed 512: at qtrepotools/bin/qt5_tool line 228.@

    Configure options
    -confirm-license -opensource -developer-build -nomake demos -nomake examples -arch x86_64 -platform macx-clang

    clang -v
    Davids-MacBook-Pro:qt5-latest-sources david$ clang -v
    Apple LLVM version 4.2 (clang-425.0.27) (based on LLVM 3.2svn)
    Target: x86_64-apple-darwin12.3.0
    Thread model: posix

  • I was successfully able to build using the following configure options.
    -confirm-license -opensource -developer-build -nomake demos -nomake examples -nomake tests -platform macx-clang

    However QtWebkit doesn't get installed. When I try to manually build it I get the following errors:
    work AppKit -framework OpenGL -framework AGL
    ld: framework not found QtWebKit
    clang: error: linker command failed with exit code 1 (use -v to see invocation)
    make[3]: *** [/Users/david/Code/qt/qt5-latest-sources/qtbase/lib/QtWebKitWidgets.framework/QtWebKitWidgets_debug] Error 1
    make[2]: *** [debug-install] Error 2
    make[1]: *** [sub-widgetsapi-pri-install_subtargets-ordered] Error 2
    make: *** [sub-Source-QtWebKit-pro-install_subtargets-ordered] Error 2

Log in to reply

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.